org.eclipse.viatra.query.patternlanguage.emf.ui.builder

## Class EMFPatternLanguageBuilderParticipant

- java.lang.Object
- - org.eclipse.xtext.builder.BuilderParticipant
  - - org.eclipse.viatra.query.patternlanguage.emf.ui.builder.EMFPatternLanguageBuilderParticipant

- All Implemented Interfaces:
    org.eclipse.xtext.builder.IXtextBuilderParticipant

      public class EMFPatternLanguageBuilderParticipant
      extends org.eclipse.xtext.builder.BuilderParticipant

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.builder.IXtextBuilderParticipant

      `org.eclipse.xtext.builder.IXtextBuilderParticipant.BuildType, org.eclipse.xtext.builder.IXtextBuilderParticipant.IBuildContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageBuilderParticipant()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build(org.eclipse.xtext.builder.IXtextBuilderParticipant.IBuildContext context, org.eclipse.core.runtime.IProgressMonitor monitor)`
    `protected void` | `handleChangedContents(org.eclipse.xtext.resource.IResourceDescription.Delta delta, org.eclipse.xtext.builder.IXtextBuilderParticipant.IBuildContext context, org.eclipse.xtext.builder.EclipseResourceFileSystemAccess2 fileSystemAccess)`

    - ### Methods inherited from class org.eclipse.xtext.builder.BuilderParticipant

      `addMarkerAndLogError, canClean, cleanDerivedResources, cleanOutput, cleanOutput, clearResourceSet, doBuild, doGenerate, getBuilderPreferenceAccess, getCurrentSourceFolder, getDerivedResourceMarkers, getDerivedResources, getGenerator, getGenerator2, getGeneratorIdProvider, getGeneratorMarkers, getOutputConfigurationProvider, getOutputConfigurations, getOutputs, getPostProcessor, getRelevantDeltas, getResourceServiceProvider, getStorage2UriMapper, handleChangedContents, isEnabled, refreshOutputFolders, registerCurrentSourceFolder, saveResourceStorage, setBuilderPreferenceAccess, setOutputConfigurationProvider, shouldGenerate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageBuilderParticipant

          public EMFPatternLanguageBuilderParticipant()

  - ### Method Detail

    - #### build

          public void build(org.eclipse.xtext.builder.IXtextBuilderParticipant.IBuildContext context,
                            org.eclipse.core.runtime.IProgressMonitor monitor)
                     throws org.eclipse.core.runtime.CoreException

      Specified by:
        `build` in interface `org.eclipse.xtext.builder.IXtextBuilderParticipant`
      Overrides:
        `build` in class `org.eclipse.xtext.builder.BuilderParticipant`
      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### handleChangedContents

          protected void handleChangedContents(org.eclipse.xtext.resource.IResourceDescription.Delta delta,
                                               org.eclipse.xtext.builder.IXtextBuilderParticipant.IBuildContext context,
                                               org.eclipse.xtext.builder.EclipseResourceFileSystemAccess2 fileSystemAccess)
                                        throws org.eclipse.core.runtime.CoreException

      Overrides:
        `handleChangedContents` in class `org.eclipse.xtext.builder.BuilderParticipant`
      Throws:
        `org.eclipse.core.runtime.CoreException`